# Phishguard # Reports ## Get `PhishGuard` reports `client.emailSecurity.phishguard.reports.list(ReportListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/email-security/phishguard/reports` Retrieves `PhishGuard` reports showing phishing attempts and suspicious email patterns detected. ### Parameters - `params: ReportListParams` - `account_id: string` Path param: Account Identifier - `end?: string` Query param: The end of the search date range (RFC3339 format). - `from_date?: string` Query param - `start?: string` Query param: The beginning of the search date range (RFC3339 format). - `to_date?: string` Query param ### Returns - `ReportListResponse` - `id: number` - `content: string` - `created_at: string` - `disposition: "MALICIOUS" | "MALICIOUS-BEC" | "SUSPICIOUS" | 7 more` - `"MALICIOUS"` - `"MALICIOUS-BEC"` - `"SUSPICIOUS"` - `"SPOOF"` - `"SPAM"` - `"BULK"` - `"ENCRYPTED"` - `"EXTERNAL"` - `"UNKNOWN"` - `"NONE"` - `fields: Fields` - `to: Array` - `ts: string` - `from?: string | null` - `postfix_id?: string | null` - `priority: string` - `title: string` - `ts: string` - `updated_at: string` - `tags?: Array | null` - `category: string` - `value: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const reportListResponse of client.emailSecurity.phishguard.reports.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(reportListResponse.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": 0, "content": "content", "created_at": "2019-12-27T18:11:19.117Z", "disposition": "MALICIOUS", "fields": { "to": [ "string" ], "ts": "2019-12-27T18:11:19.117Z", "from": "from", "postfix_id": "postfix_id" }, "priority": "priority", "title": "title", "ts": "2019-12-27T18:11:19.117Z", "updated_at": "2019-12-27T18:11:19.117Z", "tags": [ { "category": "category", "value": "value" } ] } ], "success": true } ``` ## Domain Types ### Report List Response - `ReportListResponse` - `id: number` - `content: string` - `created_at: string` - `disposition: "MALICIOUS" | "MALICIOUS-BEC" | "SUSPICIOUS" | 7 more` - `"MALICIOUS"` - `"MALICIOUS-BEC"` - `"SUSPICIOUS"` - `"SPOOF"` - `"SPAM"` - `"BULK"` - `"ENCRYPTED"` - `"EXTERNAL"` - `"UNKNOWN"` - `"NONE"` - `fields: Fields` - `to: Array` - `ts: string` - `from?: string | null` - `postfix_id?: string | null` - `priority: string` - `title: string` - `ts: string` - `updated_at: string` - `tags?: Array | null` - `category: string` - `value: string`